| ParkinGo 1.0.1

Public Member Functions | Static Public Attributes | List of all members
com.example.infiniteLoop.parkingo.sqlite_ops Class Reference
Inheritance diagram for com.example.infiniteLoop.parkingo.sqlite_ops:

## Public Member Functions
| sqlite_ops (Context context)
void | onCreate (SQLiteDatabase db)
void | initFirebase ()
| Initialises the firebase. More...
void | AddSlotsToFirebase ()
| Adds all the slots to the firebase. More...
void | onUpgrade (SQLiteDatabase sqLiteDatabase, int i, int i1)
| Drops all the tables if the version of the sqlite is updated. More...
boolean | fetch_login_details (final login li, final login_activity la)
| Fetches the login details from the firebase and compares with the entered login credentials. Return true if the entered credential is correct otherwise false. More...
boolean | check_in (checkin_details cd, final checkin ci)
| Inserts the check-in details in firebase and updates the available slots Return true if the entered credential is correct otherwise false. More...
ArrayList | getFreeSlots (final category_wise_availability cd, String category)
| Returns the ArrayList of available free slots. More...
ArrayList | getAllSlots (String category)
| Returns the ArrayList of all the slots corresponding to the given category. More...
void | getTicketDetails (String ticket_no, final ticket tc)
| Returns the ticket details corresponding to a ticket number. More...
long | lastIndexRecords ()
ArrayList | fetch_ticket_detail (long ticket)
| Returns the ticket details corresponding to a ticket number. More...
void | fetch_slot_details (String slot, final checkout co)
| Returns the slot details corresponding to a slot. More...
void | check_out (String slot, final String tkt, long checkInDateTime, final checkout co)
| Checkouts and adds the freed slot to the available slot pool. More...
void | updateBalance (String uname, int balance)
void | getAllFilledSlotDetails (final currentParks cp)

## Static Public Attributes
static final int | DATABASE_VERSION =1
static final String | DATABASE_NAME ="parkingo.db"

## Member Function Documentation

## ◆ AddSlotsToFirebase()

void com.example.infiniteLoop.parkingo.sqlite_ops.AddSlotsToFirebase | ( |  | ) |
| inline

Adds all the slots to the firebase.

Returns
  void

## ◆ check_in()

boolean com.example.infiniteLoop.parkingo.sqlite_ops.check_in | ( | checkin_details | cd,
|  | final checkin | ci
| ) |  |
| inline

Inserts the check-in details in firebase and updates the available slots Return true if the entered credential is correct otherwise false.

Parameters

  cd | - a checkin_details object argument

Returns
  bool

## ◆ check_out()

void com.example.infiniteLoop.parkingo.sqlite_ops.check_out | ( | String | slot,
|  | final String | tkt,
|  | long | checkInDateTime,
|  | final checkout | co
| ) |  |
| inline

Checkouts and adds the freed slot to the available slot pool.

Parameters

  ticket | - a string argument

Returns
  boolean

## ◆ fetch_login_details()

boolean com.example.infiniteLoop.parkingo.sqlite_ops.fetch_login_details | ( | final login | li,
|  | final login_activity | la
| ) |  |
| inline

Fetches the login details from the firebase and compares with the entered login credentials. Return true if the entered credential is correct otherwise false.

Parameters

  li | - a login object argument
  la | - a login_activity object argument

Returns
  bool

## ◆ fetch_slot_details()

void com.example.infiniteLoop.parkingo.sqlite_ops.fetch_slot_details | ( | String | slot,
|  | final checkout | co
| ) |  |
| inline

Returns the slot details corresponding to a slot.

Parameters

  ticket | - a string argument

Returns
  ArrayList

## ◆ fetch_ticket_detail()

ArrayList com.example.infiniteLoop.parkingo.sqlite_ops.fetch_ticket_detail | ( | long | ticket | ) |
| inline

Returns the ticket details corresponding to a ticket number.

Parameters

  ticket | - a long argument

Returns
  ArrayList

## ◆ getAllSlots()

ArrayList com.example.infiniteLoop.parkingo.sqlite_ops.getAllSlots | ( | String | category | ) |
| inline

Returns the ArrayList of all the slots corresponding to the given category.

Parameters

  category | - a string argument

Returns
  ArrayList

## ◆ getFreeSlots()

ArrayList com.example.infiniteLoop.parkingo.sqlite_ops.getFreeSlots | ( | final category_wise_availability | cd,
|  | String | category
| ) |  |
| inline

Returns the ArrayList of available free slots.

Parameters

  cd | - category_wise_availability object
  category | - a string argument

Returns
  ArrayList

## ◆ getTicketDetails()

void com.example.infiniteLoop.parkingo.sqlite_ops.getTicketDetails | ( | String | ticket_no,
|  | final ticket | tc
| ) |  |
| inline

Returns the ticket details corresponding to a ticket number.

Parameters

  ticket_no | - a long argument

Returns
  ArrayList

## ◆ initFirebase()

void com.example.infiniteLoop.parkingo.sqlite_ops.initFirebase | ( |  | ) |
| inline

Initialises the firebase.

Returns
  void

## ◆ onUpgrade()

void com.example.infiniteLoop.parkingo.sqlite_ops.onUpgrade | ( | SQLiteDatabase | sqLiteDatabase,
|  | int | i,
|  | int | i1
| ) |  |
| inline

Drops all the tables if the version of the sqlite is updated.

Returns
  void

The documentation for this class was generated from the following file:

- /home/bhavesh/Desktop/cs699/parkingo/parkingo/source/app/src/main/java/com/example/infiniteLoop/parkingo/sqlite_ops.java